program SimulReflec;
{ 03.04.01 : FO : pour pouvoir utiliser le programme sur une machine pas en réseau }
{                 desactivation de SmtpForm                                        }

uses
  buttons,
  Windows,
  SysUtils,
  Classes,
  Graphics,
  Forms,
  Controls,
  StdCtrls,
  MainForm in 'MainForm.pas' {principalform},
  about in 'About.pas' {AboutBox},
  SimulReflecForm in 'SimulReflecForm.pas' {SimulReflecWindow},
  PilotageGraph2D in 'PilotageGraph2D.pas' {SRGraph1Dform},
  DataReflec in 'DataReflec.pas' {dataReflecForm},
  XraysConvertForm in 'XraysConvertForm.pas' {ConversionsXraysForm},
  CalculGID in 'CalculGID.pas',
  CalculReflec in 'CalculReflec.pas',
  NeutronsConvertForm in 'NeutronsConvertForm.pas' {ConversionsNeutronsForm},
  CalculDiffus in 'CalculDiffus.pas',
  dataBaseReading in 'dataBaseReading.pas' {dataBaseReadingForm},
  Minimisation in 'Minimisation.pas',
  WaveFunction in 'WaveFunction.pas',
  Graph1D in '..\CommonSVN\Graph1D.pas' {graph1dform},
  graph2D in '..\CommonSVN\graph2D.pas' {graph2DForm},
  dialogAddSpectrum in '..\CommonSVN\dialogAddSpectrum.pas' {dialogaddform},
  dialogScalAddSpectrum in '..\CommonSVN\dialogScalAddSpectrum.pas' {dialogscaladdform},
  LectureTPAoptions in '..\CommonSVN\LectureTPAoptions.pas' {LectureTPAoptionsForm},
  NexusCoreDelphiAPI in '..\CommonSVN\NexusCoreDelphiAPI.pas',
  NexusUtilityDelphiAPI in '..\CommonSVN\NexusUtilityDelphiAPI.pas',
  editdata in '..\CommonSVN\Editdata.pas' {dataeditform},
  FilesIO in '..\CommonSVN\FilesIO.pas',
  interpreteur in '..\CommonSVN\interpreteur.pas' {interpreteurform},
  InterpreteurBase in '..\CommonSVN\InterpreteurBase.pas',
  interpreteurSpectra in '..\CommonSVN\interpreteurSpectra.pas',
  interpreteurFileIO in '..\CommonSVN\interpreteurFileIO.pas',
  constants in '..\CommonSVN\constants.pas',
  functionsliste in '..\CommonSVN\functionsliste.pas' {functionslisteform},
  EmailUnit in '..\CommonSVN\EmailUnit.pas' {SmtpForm},
  BoiteNoire in '..\CommonSVN\BoiteNoire.pas' {boitnoir},
  MathAux in '..\CommonSVN\MATHAUX.PAS',
  variablesliste in '..\CommonSVN\VariablesListe.pas' {VariablesListeForm},
  dialogTextInput in '..\CommonSVN\dialogTextInput.pas' {enterDlg},
  WaveFunctionForm in 'WaveFunctionForm.pas' {WaveFunctionPlotting},
  Graph2D3D in '..\CommonSVN\Graph2D3D.pas' {Graph2D3DForm},
  GaussLegendre in '..\CommonSVN\GaussLegendre.pas',
  XYCopy in '..\ComposantsD6\xygraph_emmens\xycopy.pas' {CopyForm},
  DifferentialEvolution in 'DifferentialEvolution.pas';

{functionslisteform}


{$R *.RES}

type polarisation=(up,down);

begin
  Application.Initialize;
  Application.Title := 'SimulReflec';
  Application.CreateForm(Tprincipalform, principalform);
  Application.CreateForm(TdataReflecForm, dataReflecForm);
  Application.CreateForm(TConversionsXraysForm, ConversionsXraysForm);
  Application.CreateForm(TConversionsNeutronsForm, ConversionsNeutronsForm);
  Application.CreateForm(TdataBaseReadingForm, dataBaseReadingForm);
  Application.CreateForm(Tfunctionslisteform, functionslisteform);
  Application.CreateForm(TVariablesListeForm, VariablesListeForm);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TSRGraph1Dform, SRGraph1Dform);
  Application.CreateForm(TSimulReflecWindow, SimulReflecWindow);
  Application.CreateForm(Tgraph1dform, graph1dform);
  Application.CreateForm(Tgraph2DForm, graph2DForm);
  Application.CreateForm(Tdialogaddform, dialogaddform);
  Application.CreateForm(Tdialogscaladdform, dialogscaladdform);
  Application.CreateForm(TLectureTPAoptionsForm, LectureTPAoptionsForm);
  Application.CreateForm(Tdataeditform, dataeditform);
  Application.CreateForm(Tinterpreteurform, interpreteurform);
  Application.CreateForm(Tfunctionslisteform, functionslisteform);
  Application.CreateForm(TSmtpForm, SmtpForm);
  Application.CreateForm(Tboitnoir, boitnoir);
  Application.CreateForm(TVariablesListeForm, VariablesListeForm);
  Application.CreateForm(TenterDlg, enterDlg);
  Application.CreateForm(TWaveFunctionPlotting, WaveFunctionPlotting);
  Application.CreateForm(TGraph2D3DForm, Graph2D3DForm);
  Application.CreateForm(TCopyForm, CopyForm);
  Graph2D3DForm.WindowState:=wsMinimized;
  Graph2DForm.WindowState:=wsMinimized;
  InterpreteurForm.WindowState:=wsMinimized;
  SimulReflecWindow.WindowState:=wsNormal;
  SRGraph1Dform.WindowState:=wsNormal;    
  Application.Run;
end.

